Subject: bug#42406: Mouse-wheel scrolling can be flickering

From: martin rudalics <[email-masked]>
Date: Fri, 18 Dec 2020 08:56:39 +0100

>> Why penalize people with >= 2 windows per selected frame when scrolling
 >> one of them by updating all the others' mode, header, tab lines?
 >
 > BTW, I don't quite understand this question, tho: my patch definitely
 > doesn't make things work any worse than they do now: currently, all
 > the mode-lines (and relatives) are updated on all windows on all frames.
 > My patch reduces this so it's only done on the selected frame (but still
 > all windows of that one frame, indeed :-(  ).

Indeed I asked that before I realized (see my last mail to Eli) that the
old code did it the other way round and thus completely wrong IMO.

martin